[arch-commits] Commit in miro/repos (12 files)

Ronald van Haren ronald at archlinux.org
Mon Oct 15 19:27:04 UTC 2012


    Date: Monday, October 15, 2012 @ 15:27:04
  Author: ronald
Revision: 168768

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  miro/repos/extra-i686/PKGBUILD
    (from rev 168767, miro/trunk/PKGBUILD)
  miro/repos/extra-i686/ffmpeg.patch
    (from rev 168767, miro/trunk/ffmpeg.patch)
  miro/repos/extra-i686/miro.install
    (from rev 168767, miro/trunk/miro.install)
  miro/repos/extra-x86_64/PKGBUILD
    (from rev 168767, miro/trunk/PKGBUILD)
  miro/repos/extra-x86_64/ffmpeg.patch
    (from rev 168767, miro/trunk/ffmpeg.patch)
  miro/repos/extra-x86_64/miro.install
    (from rev 168767, miro/trunk/miro.install)
Deleted:
  miro/repos/extra-i686/PKGBUILD
  miro/repos/extra-i686/ffmpeg.patch
  miro/repos/extra-i686/miro.install
  miro/repos/extra-x86_64/PKGBUILD
  miro/repos/extra-x86_64/ffmpeg.patch
  miro/repos/extra-x86_64/miro.install

---------------------------+
 extra-i686/PKGBUILD       |   98 +++++++++++++++++-----------------
 extra-i686/ffmpeg.patch   |  126 ++++++++++++++++++++++----------------------
 extra-i686/miro.install   |   34 +++++------
 extra-x86_64/PKGBUILD     |   98 +++++++++++++++++-----------------
 extra-x86_64/ffmpeg.patch |  126 ++++++++++++++++++++++----------------------
 extra-x86_64/miro.install |   34 +++++------
 6 files changed, 258 insertions(+), 258 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2012-10-15 19:26:09 UTC (rev 168767)
+++ extra-i686/PKGBUILD	2012-10-15 19:27:04 UTC (rev 168768)
@@ -1,49 +0,0 @@
-# $Id$
-# Maintainer: Ronald van Haren <ronald.archlinux.org>
-
-pkgname=miro
-pkgver=5.0.2
-pkgrel=1
-pkgdesc="The free and open source internet TV platform"
-arch=('i686' 'x86_64')
-url="http://www.getmiro.com"
-license=('GPL2')
-depends=('dbus-python' 'pyrex' 'pygtk' 'gstreamer0.10' 'python2-gconf'
-         'python-pysqlite' 'pywebkitgtk' 'shared-mime-info'
-         'desktop-file-utils' 'gstreamer0.10' 'hicolor-icon-theme'
-         'gstreamer0.10-python' 'python-notify' 'libtorrent-rasterbar'
-         'gstreamer0.10-base-plugins' 'gstreamer0.10-good-plugins' 'python-pycurl' 
-         'gstreamer0.10-ffmpeg' 'ffmpeg' 'mutagen' 'xdg-utils')
-makedepends=('pkg-config' 'boost')
-install=miro.install
-source=("http://ftp.osuosl.org/pub/pculture.org/${pkgname}/src/${pkgname}-${pkgver}.tar.gz"
-        'ffmpeg.patch')
-sha1sums=('67babcf76cc08b72b8f55d425b1372ae0a979805'
-          'ce0f42be2a0a3ac99f07b5abfabf0975928c841c')
-
-build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-
-  cd linux
-  patch -p2 -i "${srcdir}"/ffmpeg.patch
-
-  python2 setup.py install --root="${pkgdir}"
-
-  # fix miro startup script so --debug works with python2
-  sed -i "s|which python|which python2|" "${pkgdir}/usr/bin/miro"
-  sed -i "s|./miro.real|/usr/bin/miro.real|" "${pkgdir}/usr/bin/miro"
-
-  # fix python scripts for python2
-  sed -i "s|/usr/bin/env python|/usr/bin/env python2|" ${pkgdir}/usr/share/miro/resources/searchengines/update-icons.py
-  for i in usr/share/miro/resources/testdata/echonest-replies/generate.py usr/share/miro/resources/searchengines/update-icons.py \
-    usr/share/miro/resources/testdata/7digital-replies/generate.py; do
-    sed -i "s|/usr/bin/python|/usr/bin/python2|" ${pkgdir}/${i} 
-  done
-
-  # Fakeroot segfaults on these; remove
-  if [ ${arch} == "i686" ]; then
-    rm -f ${pkgdir}/usr/bin/codegen.Linux-x86_64 || true
-  else
-    rm -f ${pkgdir}/usr/bin/codegen.Linux-i686 || true
-  fi
-}

Copied: miro/repos/extra-i686/PKGBUILD (from rev 168767, miro/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2012-10-15 19:27:04 UTC (rev 168768)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+
+pkgname=miro
+pkgver=5.0.4
+pkgrel=1
+pkgdesc="The free and open source internet TV platform"
+arch=('i686' 'x86_64')
+url="http://www.getmiro.com"
+license=('GPL2')
+depends=('dbus-python' 'pyrex' 'pygtk' 'gstreamer0.10' 'python2-gconf'
+         'python-pysqlite' 'pywebkitgtk' 'shared-mime-info'
+         'desktop-file-utils' 'gstreamer0.10' 'hicolor-icon-theme'
+         'gstreamer0.10-python' 'python-notify' 'libtorrent-rasterbar'
+         'gstreamer0.10-base-plugins' 'gstreamer0.10-good-plugins' 'python-pycurl' 
+         'gstreamer0.10-ffmpeg' 'ffmpeg' 'mutagen' 'xdg-utils')
+makedepends=('pkg-config' 'boost')
+install=miro.install
+source=("http://ftp.osuosl.org/pub/pculture.org/${pkgname}/src/${pkgname}-${pkgver}.tar.gz"
+        'ffmpeg.patch')
+sha1sums=('1144f98149ff07208b994a7cedb45a4beaaa451f'
+          'ce0f42be2a0a3ac99f07b5abfabf0975928c841c')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  cd linux
+  patch -p2 -i "${srcdir}"/ffmpeg.patch
+
+  python2 setup.py install --root="${pkgdir}"
+
+  # fix miro startup script so --debug works with python2
+  sed -i "s|which python|which python2|" "${pkgdir}/usr/bin/miro"
+  sed -i "s|./miro.real|/usr/bin/miro.real|" "${pkgdir}/usr/bin/miro"
+
+  # fix python scripts for python2
+  sed -i "s|/usr/bin/env python|/usr/bin/env python2|" ${pkgdir}/usr/share/miro/resources/searchengines/update-icons.py
+  for i in usr/share/miro/resources/testdata/echonest-replies/generate.py usr/share/miro/resources/searchengines/update-icons.py \
+    usr/share/miro/resources/testdata/7digital-replies/generate.py; do
+    sed -i "s|/usr/bin/python|/usr/bin/python2|" ${pkgdir}/${i} 
+  done
+
+  # Fakeroot segfaults on these; remove
+  if [ ${arch} == "i686" ]; then
+    rm -f ${pkgdir}/usr/bin/codegen.Linux-x86_64 || true
+  else
+    rm -f ${pkgdir}/usr/bin/codegen.Linux-i686 || true
+  fi
+}

Deleted: extra-i686/ffmpeg.patch
===================================================================
--- extra-i686/ffmpeg.patch	2012-10-15 19:26:09 UTC (rev 168767)
+++ extra-i686/ffmpeg.patch	2012-10-15 19:27:04 UTC (rev 168768)
@@ -1,63 +0,0 @@
---- miro-5.0.1/linux/miro-segmenter.c~	2012-07-06 14:33:24.618082171 +0000
-+++ miro-5.0.1/linux/miro-segmenter.c	2012-07-06 15:10:19.564146117 +0000
-@@ -156,7 +156,7 @@
-         exit(1);
-     }
- 
--    ret = av_open_input_file(&ic, input, ifmt, 0, NULL);
-+    ret = avformat_open_input(&ic, input, ifmt, 0);
-     if (ret != 0) {
-         fprintf(stderr, "Could not open input file, make sure it is an mpegts file: %d\n", ret);
-         exit(1);
-@@ -215,12 +215,7 @@
-         }
-     }
- 
--    if (av_set_parameters(oc, NULL) < 0) {
--        fprintf(stderr, "Invalid output format parameters\n");
--        exit(1);
--    }
--
--    dump_format(oc, 0, input, 1);
-+    av_dump_format(oc, 0, input, 1);
- 
-     if (video_st) {
-         codec = avcodec_find_decoder(video_st->codec->codec_id);
-@@ -233,12 +228,12 @@
-         }
-     }
- 
--    if (url_fopen(&oc->pb, output_filename, URL_WRONLY) < 0) {
-+    if (avio_open(&oc->pb, output_filename, AVIO_FLAG_WRITE) < 0) {
-         fprintf(stderr, "Could not open '%s'\n", output_filename);
-         exit(1);
-     }
- 
--    if (av_write_header(oc)) {
-+    if (avformat_write_header(oc, NULL)) {
-         fprintf(stderr, "Could not write mpegts header to first output file\n");
- 
-         exit(1);
-@@ -274,10 +269,10 @@
-         }
- 
-         if (segment_time - prev_segment_time >= segment_duration) {
--            put_flush_packet(oc->pb);
--            url_fclose(oc->pb);
-+            avio_flush(oc->pb);
-+            avio_close(oc->pb);
- 
--            if (url_fopen(&oc->pb, output_filename, URL_WRONLY) < 0) {
-+            if (avio_open(&oc->pb, output_filename, AVIO_FLAG_WRITE) < 0) {
-                 fprintf(stderr, "Could not open '%s'\n", output_filename);
-                 break;
-             }
-@@ -307,7 +302,7 @@
-         av_freep(&oc->streams[i]);
-     }
- 
--    url_fclose(oc->pb);
-+    avio_close(oc->pb);
-     av_free(oc);
- 
-     /* End-of-transcode marker. */

Copied: miro/repos/extra-i686/ffmpeg.patch (from rev 168767, miro/trunk/ffmpeg.patch)
===================================================================
--- extra-i686/ffmpeg.patch	                        (rev 0)
+++ extra-i686/ffmpeg.patch	2012-10-15 19:27:04 UTC (rev 168768)
@@ -0,0 +1,63 @@
+--- miro-5.0.1/linux/miro-segmenter.c~	2012-07-06 14:33:24.618082171 +0000
++++ miro-5.0.1/linux/miro-segmenter.c	2012-07-06 15:10:19.564146117 +0000
+@@ -156,7 +156,7 @@
+         exit(1);
+     }
+ 
+-    ret = av_open_input_file(&ic, input, ifmt, 0, NULL);
++    ret = avformat_open_input(&ic, input, ifmt, 0);
+     if (ret != 0) {
+         fprintf(stderr, "Could not open input file, make sure it is an mpegts file: %d\n", ret);
+         exit(1);
+@@ -215,12 +215,7 @@
+         }
+     }
+ 
+-    if (av_set_parameters(oc, NULL) < 0) {
+-        fprintf(stderr, "Invalid output format parameters\n");
+-        exit(1);
+-    }
+-
+-    dump_format(oc, 0, input, 1);
++    av_dump_format(oc, 0, input, 1);
+ 
+     if (video_st) {
+         codec = avcodec_find_decoder(video_st->codec->codec_id);
+@@ -233,12 +228,12 @@
+         }
+     }
+ 
+-    if (url_fopen(&oc->pb, output_filename, URL_WRONLY) < 0) {
++    if (avio_open(&oc->pb, output_filename, AVIO_FLAG_WRITE) < 0) {
+         fprintf(stderr, "Could not open '%s'\n", output_filename);
+         exit(1);
+     }
+ 
+-    if (av_write_header(oc)) {
++    if (avformat_write_header(oc, NULL)) {
+         fprintf(stderr, "Could not write mpegts header to first output file\n");
+ 
+         exit(1);
+@@ -274,10 +269,10 @@
+         }
+ 
+         if (segment_time - prev_segment_time >= segment_duration) {
+-            put_flush_packet(oc->pb);
+-            url_fclose(oc->pb);
++            avio_flush(oc->pb);
++            avio_close(oc->pb);
+ 
+-            if (url_fopen(&oc->pb, output_filename, URL_WRONLY) < 0) {
++            if (avio_open(&oc->pb, output_filename, AVIO_FLAG_WRITE) < 0) {
+                 fprintf(stderr, "Could not open '%s'\n", output_filename);
+                 break;
+             }
+@@ -307,7 +302,7 @@
+         av_freep(&oc->streams[i]);
+     }
+ 
+-    url_fclose(oc->pb);
++    avio_close(oc->pb);
+     av_free(oc);
+ 
+     /* End-of-transcode marker. */

Deleted: extra-i686/miro.install
===================================================================
--- extra-i686/miro.install	2012-10-15 19:26:09 UTC (rev 168767)
+++ extra-i686/miro.install	2012-10-15 19:27:04 UTC (rev 168768)
@@ -1,17 +0,0 @@
-post_install() {
-  update-desktop-database -q
-  xdg-icon-resource forceupdate --theme hicolor
-  update-mime-database usr/share/mime > /dev/null
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-post_remove() {
-  update-desktop-database -q
-  xdg-icon-resource forceupdate --theme hicolor
-  update-mime-database usr/share/mime > /dev/null
-}
-
-

Copied: miro/repos/extra-i686/miro.install (from rev 168767, miro/trunk/miro.install)
===================================================================
--- extra-i686/miro.install	                        (rev 0)
+++ extra-i686/miro.install	2012-10-15 19:27:04 UTC (rev 168768)
@@ -0,0 +1,17 @@
+post_install() {
+  update-desktop-database -q
+  xdg-icon-resource forceupdate --theme hicolor
+  update-mime-database usr/share/mime > /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  update-desktop-database -q
+  xdg-icon-resource forceupdate --theme hicolor
+  update-mime-database usr/share/mime > /dev/null
+}
+
+

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2012-10-15 19:26:09 UTC (rev 168767)
+++ extra-x86_64/PKGBUILD	2012-10-15 19:27:04 UTC (rev 168768)
@@ -1,49 +0,0 @@
-# $Id$
-# Maintainer: Ronald van Haren <ronald.archlinux.org>
-
-pkgname=miro
-pkgver=5.0.2
-pkgrel=1
-pkgdesc="The free and open source internet TV platform"
-arch=('i686' 'x86_64')
-url="http://www.getmiro.com"
-license=('GPL2')
-depends=('dbus-python' 'pyrex' 'pygtk' 'gstreamer0.10' 'python2-gconf'
-         'python-pysqlite' 'pywebkitgtk' 'shared-mime-info'
-         'desktop-file-utils' 'gstreamer0.10' 'hicolor-icon-theme'
-         'gstreamer0.10-python' 'python-notify' 'libtorrent-rasterbar'
-         'gstreamer0.10-base-plugins' 'gstreamer0.10-good-plugins' 'python-pycurl' 
-         'gstreamer0.10-ffmpeg' 'ffmpeg' 'mutagen' 'xdg-utils')
-makedepends=('pkg-config' 'boost')
-install=miro.install
-source=("http://ftp.osuosl.org/pub/pculture.org/${pkgname}/src/${pkgname}-${pkgver}.tar.gz"
-        'ffmpeg.patch')
-sha1sums=('67babcf76cc08b72b8f55d425b1372ae0a979805'
-          'ce0f42be2a0a3ac99f07b5abfabf0975928c841c')
-
-build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-
-  cd linux
-  patch -p2 -i "${srcdir}"/ffmpeg.patch
-
-  python2 setup.py install --root="${pkgdir}"
-
-  # fix miro startup script so --debug works with python2
-  sed -i "s|which python|which python2|" "${pkgdir}/usr/bin/miro"
-  sed -i "s|./miro.real|/usr/bin/miro.real|" "${pkgdir}/usr/bin/miro"
-
-  # fix python scripts for python2
-  sed -i "s|/usr/bin/env python|/usr/bin/env python2|" ${pkgdir}/usr/share/miro/resources/searchengines/update-icons.py
-  for i in usr/share/miro/resources/testdata/echonest-replies/generate.py usr/share/miro/resources/searchengines/update-icons.py \
-    usr/share/miro/resources/testdata/7digital-replies/generate.py; do
-    sed -i "s|/usr/bin/python|/usr/bin/python2|" ${pkgdir}/${i} 
-  done
-
-  # Fakeroot segfaults on these; remove
-  if [ ${arch} == "i686" ]; then
-    rm -f ${pkgdir}/usr/bin/codegen.Linux-x86_64 || true
-  else
-    rm -f ${pkgdir}/usr/bin/codegen.Linux-i686 || true
-  fi
-}

Copied: miro/repos/extra-x86_64/PKGBUILD (from rev 168767, miro/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-10-15 19:27:04 UTC (rev 168768)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+
+pkgname=miro
+pkgver=5.0.4
+pkgrel=1
+pkgdesc="The free and open source internet TV platform"
+arch=('i686' 'x86_64')
+url="http://www.getmiro.com"
+license=('GPL2')
+depends=('dbus-python' 'pyrex' 'pygtk' 'gstreamer0.10' 'python2-gconf'
+         'python-pysqlite' 'pywebkitgtk' 'shared-mime-info'
+         'desktop-file-utils' 'gstreamer0.10' 'hicolor-icon-theme'
+         'gstreamer0.10-python' 'python-notify' 'libtorrent-rasterbar'
+         'gstreamer0.10-base-plugins' 'gstreamer0.10-good-plugins' 'python-pycurl' 
+         'gstreamer0.10-ffmpeg' 'ffmpeg' 'mutagen' 'xdg-utils')
+makedepends=('pkg-config' 'boost')
+install=miro.install
+source=("http://ftp.osuosl.org/pub/pculture.org/${pkgname}/src/${pkgname}-${pkgver}.tar.gz"
+        'ffmpeg.patch')
+sha1sums=('1144f98149ff07208b994a7cedb45a4beaaa451f'
+          'ce0f42be2a0a3ac99f07b5abfabf0975928c841c')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  cd linux
+  patch -p2 -i "${srcdir}"/ffmpeg.patch
+
+  python2 setup.py install --root="${pkgdir}"
+
+  # fix miro startup script so --debug works with python2
+  sed -i "s|which python|which python2|" "${pkgdir}/usr/bin/miro"
+  sed -i "s|./miro.real|/usr/bin/miro.real|" "${pkgdir}/usr/bin/miro"
+
+  # fix python scripts for python2
+  sed -i "s|/usr/bin/env python|/usr/bin/env python2|" ${pkgdir}/usr/share/miro/resources/searchengines/update-icons.py
+  for i in usr/share/miro/resources/testdata/echonest-replies/generate.py usr/share/miro/resources/searchengines/update-icons.py \
+    usr/share/miro/resources/testdata/7digital-replies/generate.py; do
+    sed -i "s|/usr/bin/python|/usr/bin/python2|" ${pkgdir}/${i} 
+  done
+
+  # Fakeroot segfaults on these; remove
+  if [ ${arch} == "i686" ]; then
+    rm -f ${pkgdir}/usr/bin/codegen.Linux-x86_64 || true
+  else
+    rm -f ${pkgdir}/usr/bin/codegen.Linux-i686 || true
+  fi
+}

Deleted: extra-x86_64/ffmpeg.patch
===================================================================
--- extra-x86_64/ffmpeg.patch	2012-10-15 19:26:09 UTC (rev 168767)
+++ extra-x86_64/ffmpeg.patch	2012-10-15 19:27:04 UTC (rev 168768)
@@ -1,63 +0,0 @@
---- miro-5.0.1/linux/miro-segmenter.c~	2012-07-06 14:33:24.618082171 +0000
-+++ miro-5.0.1/linux/miro-segmenter.c	2012-07-06 15:10:19.564146117 +0000
-@@ -156,7 +156,7 @@
-         exit(1);
-     }
- 
--    ret = av_open_input_file(&ic, input, ifmt, 0, NULL);
-+    ret = avformat_open_input(&ic, input, ifmt, 0);
-     if (ret != 0) {
-         fprintf(stderr, "Could not open input file, make sure it is an mpegts file: %d\n", ret);
-         exit(1);
-@@ -215,12 +215,7 @@
-         }
-     }
- 
--    if (av_set_parameters(oc, NULL) < 0) {
--        fprintf(stderr, "Invalid output format parameters\n");
--        exit(1);
--    }
--
--    dump_format(oc, 0, input, 1);
-+    av_dump_format(oc, 0, input, 1);
- 
-     if (video_st) {
-         codec = avcodec_find_decoder(video_st->codec->codec_id);
-@@ -233,12 +228,12 @@
-         }
-     }
- 
--    if (url_fopen(&oc->pb, output_filename, URL_WRONLY) < 0) {
-+    if (avio_open(&oc->pb, output_filename, AVIO_FLAG_WRITE) < 0) {
-         fprintf(stderr, "Could not open '%s'\n", output_filename);
-         exit(1);
-     }
- 
--    if (av_write_header(oc)) {
-+    if (avformat_write_header(oc, NULL)) {
-         fprintf(stderr, "Could not write mpegts header to first output file\n");
- 
-         exit(1);
-@@ -274,10 +269,10 @@
-         }
- 
-         if (segment_time - prev_segment_time >= segment_duration) {
--            put_flush_packet(oc->pb);
--            url_fclose(oc->pb);
-+            avio_flush(oc->pb);
-+            avio_close(oc->pb);
- 
--            if (url_fopen(&oc->pb, output_filename, URL_WRONLY) < 0) {
-+            if (avio_open(&oc->pb, output_filename, AVIO_FLAG_WRITE) < 0) {
-                 fprintf(stderr, "Could not open '%s'\n", output_filename);
-                 break;
-             }
-@@ -307,7 +302,7 @@
-         av_freep(&oc->streams[i]);
-     }
- 
--    url_fclose(oc->pb);
-+    avio_close(oc->pb);
-     av_free(oc);
- 
-     /* End-of-transcode marker. */

Copied: miro/repos/extra-x86_64/ffmpeg.patch (from rev 168767, miro/trunk/ffmpeg.patch)
===================================================================
--- extra-x86_64/ffmpeg.patch	                        (rev 0)
+++ extra-x86_64/ffmpeg.patch	2012-10-15 19:27:04 UTC (rev 168768)
@@ -0,0 +1,63 @@
+--- miro-5.0.1/linux/miro-segmenter.c~	2012-07-06 14:33:24.618082171 +0000
++++ miro-5.0.1/linux/miro-segmenter.c	2012-07-06 15:10:19.564146117 +0000
+@@ -156,7 +156,7 @@
+         exit(1);
+     }
+ 
+-    ret = av_open_input_file(&ic, input, ifmt, 0, NULL);
++    ret = avformat_open_input(&ic, input, ifmt, 0);
+     if (ret != 0) {
+         fprintf(stderr, "Could not open input file, make sure it is an mpegts file: %d\n", ret);
+         exit(1);
+@@ -215,12 +215,7 @@
+         }
+     }
+ 
+-    if (av_set_parameters(oc, NULL) < 0) {
+-        fprintf(stderr, "Invalid output format parameters\n");
+-        exit(1);
+-    }
+-
+-    dump_format(oc, 0, input, 1);
++    av_dump_format(oc, 0, input, 1);
+ 
+     if (video_st) {
+         codec = avcodec_find_decoder(video_st->codec->codec_id);
+@@ -233,12 +228,12 @@
+         }
+     }
+ 
+-    if (url_fopen(&oc->pb, output_filename, URL_WRONLY) < 0) {
++    if (avio_open(&oc->pb, output_filename, AVIO_FLAG_WRITE) < 0) {
+         fprintf(stderr, "Could not open '%s'\n", output_filename);
+         exit(1);
+     }
+ 
+-    if (av_write_header(oc)) {
++    if (avformat_write_header(oc, NULL)) {
+         fprintf(stderr, "Could not write mpegts header to first output file\n");
+ 
+         exit(1);
+@@ -274,10 +269,10 @@
+         }
+ 
+         if (segment_time - prev_segment_time >= segment_duration) {
+-            put_flush_packet(oc->pb);
+-            url_fclose(oc->pb);
++            avio_flush(oc->pb);
++            avio_close(oc->pb);
+ 
+-            if (url_fopen(&oc->pb, output_filename, URL_WRONLY) < 0) {
++            if (avio_open(&oc->pb, output_filename, AVIO_FLAG_WRITE) < 0) {
+                 fprintf(stderr, "Could not open '%s'\n", output_filename);
+                 break;
+             }
+@@ -307,7 +302,7 @@
+         av_freep(&oc->streams[i]);
+     }
+ 
+-    url_fclose(oc->pb);
++    avio_close(oc->pb);
+     av_free(oc);
+ 
+     /* End-of-transcode marker. */

Deleted: extra-x86_64/miro.install
===================================================================
--- extra-x86_64/miro.install	2012-10-15 19:26:09 UTC (rev 168767)
+++ extra-x86_64/miro.install	2012-10-15 19:27:04 UTC (rev 168768)
@@ -1,17 +0,0 @@
-post_install() {
-  update-desktop-database -q
-  xdg-icon-resource forceupdate --theme hicolor
-  update-mime-database usr/share/mime > /dev/null
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-post_remove() {
-  update-desktop-database -q
-  xdg-icon-resource forceupdate --theme hicolor
-  update-mime-database usr/share/mime > /dev/null
-}
-
-

Copied: miro/repos/extra-x86_64/miro.install (from rev 168767, miro/trunk/miro.install)
===================================================================
--- extra-x86_64/miro.install	                        (rev 0)
+++ extra-x86_64/miro.install	2012-10-15 19:27:04 UTC (rev 168768)
@@ -0,0 +1,17 @@
+post_install() {
+  update-desktop-database -q
+  xdg-icon-resource forceupdate --theme hicolor
+  update-mime-database usr/share/mime > /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  update-desktop-database -q
+  xdg-icon-resource forceupdate --theme hicolor
+  update-mime-database usr/share/mime > /dev/null
+}
+
+




More information about the arch-commits mailing list